Page MenuHomePhabricator

[Story] Set the image Property id in configurations
Closed, ResolvedPublic

Description

The image property is needed in the EntityRenderer and should be set via the settings.

Details

Related Gerrit Patches:
mediawiki/extensions/ArticlePlaceholder : masterSet the image Property id in configurations

Event Timeline

Lucie created this task.Sep 28 2015, 2:13 PM
Lucie claimed this task.
Lucie raised the priority of this task from to Normal.
Lucie updated the task description. (Show Details)
Lucie added subscribers: hoo, gerritbot, Lucie.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 28 2015, 2:13 PM
Lucie moved this task from Incoming to To Do Next on the ArticlePlaceholder board.Sep 29 2015, 2:33 PM
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

This should be configured on-wiki, not in the server config of the wiki.

hoo added a comment.Sep 29 2015, 3:34 PM

This should be configured on-wiki, not in the server config of the wiki.

I disagree… it can still be overwritten in the Wiki, but we should be able to set a default for all Wikis in the config.

We provide the default config just like we provide the default Lua modules. This shouldn't be different.

hoo added a comment.Sep 29 2015, 3:37 PM

We provide the default config just like we provide the default Lua modules. This shouldn't be different.

Sure, but that shouldn't be hardcoded in the extension as the extension is supposed to be Wikidata-agnostic (it only knows about Wikibase).

We will have a number of property lists that will depend on Wikidata. The other ones are for example the ranking of properties and the blacklist of properties. We need a sane and easily editable (by the editors) way to let them change and maintain it.

I don't think making this completely independent of Wikidata is necessary. Easy editability by Wikipedia editors is more important.

Lucie moved this task from To Do Next to Doing on the ArticlePlaceholder board.Dec 2 2015, 4:52 PM

Change 256439 had a related patch set uploaded (by Lucie Kaffee):
Set the image Property id in configurations

https://gerrit.wikimedia.org/r/256439

Change 256439 merged by jenkins-bot:
Set the image Property id in configurations

https://gerrit.wikimedia.org/r/256439

hoo closed this task as Resolved.Jan 4 2016, 10:15 PM
hoo moved this task from Doing to Done on the ArticlePlaceholder board.
hoo removed a project: Patch-For-Review.